/***************************************************
* 양액 수위 알람

* Liquid Level Sensor-FS-IR02 사용
* 
* 수위가 높을 때: 15분 펌프 ON, 45분 펌프 OFF 반복
* 수위가 낮을 때: 알람이 울리고 펌프 OFF
* 
* 2021.07.14
* 박영기
*****************************************************/

int level_pin = 9;
int relay_pin = 5;
int buzzer_pin = 7;

void setup() 
{
  Serial.begin(9600);
  pinMode(level_pin, INPUT);
  pinMode(relay_pin, OUTPUT);
  pinMode(buzzer_pin, OUTPUT);
}

boolean level;

void loop() 
{
  level =  digitalRead(level_pin);
  Serial.print("level = ");
  Serial.println(level);

  if (level == HIGH) // 수위가 높을 때 수위센서의 값이 HIGH가 된다.
  {
    digitalWrite(relay_pin, HIGH); // relay ON --> 펌프 전원 공급
//    delay(500); // test
    delay(1000*60*15); // 15분간 유지
    digitalWrite(relay_pin, LOW); // relay OFF --> 펌프 전원 차단
//    delay(1000); // test
    delay(1000*60*45); // 45분간 유지
  }
  else
  {
    digitalWrite(relay_pin, LOW); // relay OFF, 펌프 전원 차단
    tone(buzzer_pin, 2000); delay(1000); //1초간 부저 울림
    noTone(buzzer_pin); delay(1000); // 1초간 부저 끔
  }
}
